function komarprocess_fcn
global komar_write
global komar_dir komar_fmt
global komar_idx komar_buffer komar_times
global komar_laser_sigma;
global komar_detector_scale;

komarstop_fcn; % stop grabbing if running

framerate = 15;
lasttime = 0;
total = komar_idx;
%fig = figure;

pth = fileparts(which('komarprocess_fcn.m'));
pth = [pth filesep];
frames_zip = 'C:\Documents and Settings\defuser\komar_frames.zip';
frames_dir = 'C:\Documents and Settings\defuser\komar_frames';

commandwindow;
fprintf('Writing %i frames to disk...\n',komar_idx);

try

if exist(frames_dir,'dir')
  delete([frames_dir '/*.*']);
else
	[ans,mess] = mkdir(frames_dir);
	if (~strcmp(mess,''))
    disp(['Cannot continue: ' mess]);
    return;
	end
end
if exist(frames_zip,'file')
   delete(frames_zip);
end

for i=1:total
   im = komar_buffer{i};
   %im = komar_buffer(:,:,:,i);
   nowtime = komar_times{i};
   ntime = strrep(nowtime, ':', '-');
   [lasttime nframes] = komarlostframes_fcn(nowtime,lasttime,framerate);
   if nframes > 5, fprintf(1,'%s: lost %d frames.\n',nowtime,nframes); end;
   frame_no = sprintf('%04d', i);
   imwrite(im, [frames_dir filesep 'frame_' frame_no '_' ntime '.jpg'],'Quality',95);
end

zipcmd = ['"' pth 'zip" -rq "' frames_zip '" "' frames_dir '"'];
disp(zipcmd);
system(zipcmd);
disp('Buffered frames dumped as komar_frames.zip');

catch ME

display(getReport(ME));

end
% show archive in folder
system(['explorer /select,' frames_zip]);
%
end
